## mingw-w64-python-colour-science-0.4.7-3.src.tar.zst

=== docs/requirements.txt ===
# This file was autogenerated by uv via the following command:
#    uv export --no-hashes --all-extras --no-dev
accessible-pygments==0.0.5
    # via pydata-sphinx-theme
alabaster==1.0.0
    # via sphinx
babel==2.17.0
    # via
    #   pydata-sphinx-theme
    #   sphinx
beautifulsoup4==4.14.3
    # via pydata-sphinx-theme
biblib-simple==0.1.2
    # via colour-science
certifi==2025.11.12
    # via requests
charset-normalizer==3.4.4
    # via requests
colorama==0.4.6 ; sys_platform == 'win32'
    # via
    #   sphinx
    #   tqdm
contourpy==1.3.3
    # via matplotlib
cycler==0.12.1
    # via matplotlib
docutils==0.22.3
    # via
    #   pybtex-docutils
    #   pydata-sphinx-theme
    #   restructuredtext-lint
    #   sphinx
    #   sphinxcontrib-bibtex
fonttools==4.61.0
    # via matplotlib
idna==3.11
    # via requests
imageio==2.37.2
    # via colour-science
imagesize==1.4.1
    # via sphinx
jinja2==3.1.6
    # via sphinx
kiwisolver==1.4.9
    # via matplotlib
latexcodec==3.0.1
    # via pybtex
markupsafe==3.0.3
    # via jinja2
matplotlib==3.10.7
    # via colour-science
networkx==3.6
    # via colour-science
numpy==2.3.5
    # via
    #   colour-science
    #   contourpy
    #   imageio
    #   matplotlib
    #   openimageio
    #   pandas
    #   scipy
    #   trimesh
opencolorio==2.5.0 ; python_full_version < '3.14'
    # via colour-science
openimageio==3.1.8.0
    # via colour-science
packaging==25.0
    # via
    #   matplotlib
    #   sphinx
pandas==2.3.3
    # via colour-science
pillow==12.0.0
    # via
    #   imageio
    #   matplotlib
pybtex==0.25.1
    # via
    #   pybtex-docutils
    #   sphinxcontrib-bibtex
pybtex-docutils==1.0.3
    # via sphinxcontrib-bibtex
pydata-sphinx-theme==0.16.1
    # via colour-science
pydot==3.0.4
    # via colour-science
pygments==2.19.2
    # via
    #   accessible-pygments
    #   pydata-sphinx-theme
    #   sphinx
pyparsing==3.2.5
    # via
    #   matplotlib
    #   pydot
python-dateutil==2.9.0.post0
    # via
    #   matplotlib
    #   pandas
pytz==2025.2
    # via pandas
pyyaml==6.0.3
    # via pybtex
requests==2.32.5
    # via sphinx
restructuredtext-lint==2.0.2
    # via colour-science
roman-numerals==3.1.0
    # via sphinx
scipy==1.16.3
    # via colour-science
six==1.17.0
    # via python-dateutil
snowballstemmer==3.0.1
    # via sphinx
soupsieve==2.8
    # via beautifulsoup4
sphinx==9.0.4
    # via
    #   colour-science
    #   pydata-sphinx-theme
    #   sphinxcontrib-bibtex
sphinxcontrib-applehelp==2.0.0
    # via sphinx
sphinxcontrib-bibtex==2.6.5
    # via colour-science
sphinxcontrib-devhelp==2.0.0
    # via sphinx
sphinxcontrib-htmlhelp==2.1.0
    # via sphinx
sphinxcontrib-jsmath==1.0.1
    # via sphinx
sphinxcontrib-qthelp==2.0.0
    # via sphinx
sphinxcontrib-serializinghtml==2.0.0
    # via sphinx
tqdm==4.67.1
    # via colour-science
trimesh==4.10.0
    # via colour-science
typing-extensions==4.15.0
    # via
    #   beautifulsoup4
    #   pydata-sphinx-theme
tzdata==2025.2
    # via pandas
urllib3==2.6.0
    # via requests
xxhash==3.6.0
    # via colour-science

=== PKGBUILD ===
# Contributor: Brien Dieterle <briend@gmail.com>
# Contributor: Miloš Komarčević <miloskomarcevic@aim.com>

_realname=colour-science
pkgbase=mingw-w64-python-${_realname}
pkgname=("${MINGW_PACKAGE_PREFIX}-python-${_realname}")
pkgver=0.4.7
pkgrel=3
pkgdesc="Python library for a multitude of colour science applications (mingw-w64)"
arch=('any')
mingw_arch=('mingw64' 'ucrt64' 'clang64' 'clangarm64')
url='https://www.colour-science.org'
msys2_repository_url='https://github.com/colour-science/colour'
msys2_references=(
  'aur: python-colour-science'
  'purl: pkg:pypi/colour-science'
)
license=('spdx:BSD-3-Clause')
depends=("${MINGW_PACKAGE_PREFIX}-python"
         "${MINGW_PACKAGE_PREFIX}-python-imageio"
         "${MINGW_PACKAGE_PREFIX}-python-numpy"
         "${MINGW_PACKAGE_PREFIX}-python-scipy"
         "${MINGW_PACKAGE_PREFIX}-python-typing_extensions")
makedepends=("${MINGW_PACKAGE_PREFIX}-python-build"
             "${MINGW_PACKAGE_PREFIX}-python-installer"
             "${MINGW_PACKAGE_PREFIX}-python-hatchling")
optdepends=("${MINGW_PACKAGE_PREFIX}-python-matplotlib"
            "${MINGW_PACKAGE_PREFIX}-python-networkx"
            "${MINGW_PACKAGE_PREFIX}-python-pandas"
            "${MINGW_PACKAGE_PREFIX}-python-tqdm"
            "${MINGW_PACKAGE_PREFIX}-python-trimesh")
conflicts=("${MINGW_PACKAGE_PREFIX}-python-${_realname//-science/}")
options=('!strip')
source=("https://pypi.org/packages/source/${_realname::1}/${_realname}/${_realname/-/_}-${pkgver}.tar.gz")
sha256sums=('b34773dc4dd3f9ba99cca5297fa10e9f532134d994b3a2308dacbe970dfd5079')

build() {
  cp -r "${_realname/-/_}-${pkgver}" "python-build-${MSYSTEM}" && cd "python-build-${MSYSTEM}"
  ${MINGW_PREFIX}/bin/python -m build --wheel --skip-dependency-check --no-isolation
}

package() {
  cd "${srcdir}/python-build-${MSYSTEM}"

  MSYS2_ARG_CONV_EXCL="--prefix=" \
    ${MINGW_PREFIX}/bin/python -m installer --prefix=${MINGW_PREFIX} \
    --destdir="${pkgdir}" dist/*.whl

  install -Dm644 LICENSE "${pkgdir}${MINGW_PREFIX}/share/licenses/python-${_realname}/LICENSE"
}
